/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for
 * license information.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator 0.14.0.0
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */
/* jshint latedef:false */
/* jshint forin:false */
/* jshint noempty:false */
'use strict';
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var msRest = require("../../../../lib/msRest");
var mappers_1 = require("./models/mappers");
/**
 * @class
 * Initializes a new instance of the TestClient class.
 * @constructor
 *
 * @param {string} [baseUri] - The base URI of the service.
 *
 * @param {object} [options] - The parameter options
 *
 * @param {Array} [options.filters] - Filters to be added to the request pipeline
 *
 * @param {object} [options.requestOptions] - Options for the underlying request object
 * {@link https://github.com/request/request#requestoptions-callback Options doc}
 *
 * @param {bool} [options.noRetryPolicy] - If set to true, turn off default retry policy
 */
var TestClient = /** @class */ (function (_super) {
    __extends(TestClient, _super);
    function TestClient(baseUri, options) {
        var _this = this;
        if (!options)
            options = {};
        _this = _super.call(this, undefined, options) || this;
        _this.baseUri = baseUri;
        if (!_this.baseUri) {
            _this.baseUri = 'https://management.azure.com';
        }
        if (!_this.acceptLanguage) {
            _this.acceptLanguage = 'en-US';
        }
        _this.serializer = new msRest.Serializer(mappers_1.Mappers);
        return _this;
    }
    return TestClient;
}(msRest.ServiceClient));
exports.TestClient = TestClient;
//# sourceMappingURL=testClient.js.map