// Copyright (c) Microsoft. All rights reserved.
// Licensed under the MIT license. See LICENSE file in the project root for full license information.
"use strict";
/**
 * Designate the type of authentication used by an `AuthenticationProvider`.
 */
(function (AuthenticationType) {
    /**
     * X509 Certificate based authentication.
     */
    AuthenticationType[AuthenticationType["X509"] = 0] = "X509";
    /**
     * Token-based authentication uses shared access signature security tokens, generated and signed with a secret key.
     */
    AuthenticationType[AuthenticationType["Token"] = 1] = "Token";
})(exports.AuthenticationType || (exports.AuthenticationType = {}));
var AuthenticationType = exports.AuthenticationType;
//# sourceMappingURL=authentication_provider.js.map