/*! Copyright (c) Microsoft. All rights reserved.
 *! Licensed under the MIT license. See LICENSE file in the project root for full license information.
 */
'use strict';
exports.apiVersion = '2018-01-16';
function devicePath(id) {
    return '/devices/' + id;
}
exports.devicePath = devicePath;
function eventPath(id) {
    return devicePath(id) + '/messages/events';
}
exports.eventPath = eventPath;
function messagePath(id) {
    return devicePath(id) + '/messages/devicebound';
}
exports.messagePath = messagePath;
function feedbackPath(id, lockToken) {
    return messagePath(id) + '/' + lockToken;
}
exports.feedbackPath = feedbackPath;
function versionQueryString() {
    return '?api-version=' + exports.apiVersion;
}
exports.versionQueryString = versionQueryString;
//# sourceMappingURL=endpoint.js.map